runner.h File Reference
`#include <iostream>`
`#include <qobject.h>`
`#include <qasciidict.h>`
`#include <qstring.h>`
`#include <kdelibs_export.h>`
`#include "tester.h"`

Go to the source code of this file.

## Classes

class | KUnitTest::Runner
class | KUnitTest::TesterAutoregister

## Namespaces

| KUnitTest

## Macros

#define | KUNITTEST_SUITE(suite) static const QString s_kunittest_suite = suite;
#define | KUNITTEST_REGISTER_TESTER(tester) static TesterAutoregister tester##Autoregister( QString(s_kunittest_suite + QString("::") + QString::fromLocal8Bit(#tester)).local8Bit() , new tester ())
#define | KUNITTEST_REGISTER_NAMEDTESTER(name, tester) static TesterAutoregister tester##Autoregister( QString(s_kunittest_suite + QString("::") + QString::fromLocal8Bit(name)).local8Bit() , new tester ())

## Typedefs

typedef QAsciiDict< Tester > | KUnitTest::RegistryType
typedef QAsciiDictIterator < Tester > | KUnitTest::RegistryIteratorType

## Detailed Description

Defines a set of macros and classes for running unit tests

Definition in file runner.h.

## Macro Definition Documentation

#define KUNITTEST_REGISTER_TESTER | ( |  | tester | ) | static TesterAutoregister tester##Autoregister( QString(s_kunittest_suite + QString("::") + QString::fromLocal8Bit(#tester)).local8Bit() , new tester ())

Automatic registration of Tester classes.

This macro can be used to register the Tester into the global registry. Use this macro in the implementation file of your Tester class. If you keep the Tester classes in a shared or convenience library then you should not use this macro as this macro relies on the static initialization of a TesterAutoregister class. You can always use the static Runner::registerTester(const char *name, Tester *test) method.

Definition at line 68 of file runner.h.

#define KUNITTEST_SUITE | ( |  | suite | ) | static const QString s_kunittest_suite = suite;

This macro must be used if you are not making a test-module. The macro defines the name of the test suite.

Definition at line 56 of file runner.h.

KDE Home | KDE Accessibility Home | Description of Access Keys